write_binary
| Rivet Tcl Commands and Variables |

## Name

write_binary — write one binary value to the response channel.

## Synopsis

::rivet::write_binary `data`

## Description

Writes `data` to `stdout` without newline translation or character encoding, and without appending a newline. The previous response-channel configuration is restored before the command returns. This command is equivalent to:

    ::rivet::with_binary_output {
        puts -nonewline stdout $data
    }

The value must be byte-oriented and contain only characters in the range U+0000 through U+00FF. Use ::rivet::with_binary_output when several consecutive binary output operations need to be grouped.

| Note
This command is not placed in the export list of the ::rivet namespace

with_binary_output |  | wrap